#
# spec file for package publicsuffix
#
# Copyright (c) 2022-2023 ZhuningOS
#
#


Name:           publicsuffix
Version:        20230607
Release:        150000.3.15.1
Summary:        Cross-vendor public domain suffix database
License:        MPL-2.0
URL:            https://publicsuffix.org/
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  psl-make-dafsa
BuildArch:      noarch

%description
The Public Suffix List is a cross-vendor initiative to provide
an accurate list of domain name suffixes, maintained by the hard work
of Mozilla volunteers and by submissions from registries.
Software using the Public Suffix List will be able to determine where
cookies may and may not be set, protecting the user from being
tracked across sites.

%prep
%autosetup

%build
psl-make-dafsa \
    --input-format=psl \
    --output-format=binary \
    public_suffix_list.dat public_suffix_list.dafsa

%check
%make_build test-syntax

%install
install -m 644 -p -D public_suffix_list.dat \
  %{buildroot}/%{_datadir}/%{name}/public_suffix_list.dat
ln -s public_suffix_list.dat %{buildroot}/%{_datadir}/%{name}/effective_tld_names.dat
install -m 644 -p -D public_suffix_list.dafsa \
  %{buildroot}/%{_datadir}/%{name}/public_suffix_list.dafsa

%files
%license LICENSE
%{_datadir}/%{name}

%changelog
